winstd::LocalFree_delete< _Ty[]> Struct Template Reference
General

Deleter for unique_ptr to array of unknown size using LocalFree. More...

`#include <WinStd/Common.h>`

## Public Types

typedef LocalFree_delete< _Ty > | _Myt
| This type.

## Public Member Functions

| LocalFree_delete () noexcept
| Default construct.
void | operator() (_Ty *_Ptr) const noexcept
| Delete a pointer.
template<class _Other >
void | operator() (_Other *) const
| Delete a pointer of another type. More...

## Detailed Description

template<class _Ty>
struct winstd::LocalFree_delete< _Ty[]>

Deleter for unique_ptr to array of unknown size using LocalFree.

## Member Function Documentation

## operator()()

template<class _Ty >
template<class _Other >

void winstd::LocalFree_delete< _Ty[]>::operator() | ( | _Other * |  | ) | const

inline

Delete a pointer of another type.

See also
  LocalFree function

The documentation for this struct was generated from the following file:

- include/WinStd/Common.h